//=====================================================================================================
//                                      M400                                               
//=====================================================================================================
//                                                                                                     
//! Filename:           M400.DDL
//! Device:             M400
//! Device Revision:    1
//! DD Revision:        1
//! Last edit:		 
//! Manufacturer:	Mettler-Toledo AG
//!					Process Analytics
//!					Im Hackacker 15
//!				    CH 8092 Urdorf (Switzerland)
//!				    Tel: +41 44 729 62 11
//!					Fax: +41 44 729 66 36
//!					Internet: www.mt.com/pro
//! Copyright:(C) Mettler-Toledo, 2016 All Rights Reserved.                                                                              
//                                                                                                    
// $Date: 
// $State: Exp $:
// $Revision: 
//
//=============================================================================

#define  MT_DEVICE_NAME "M400 2-wire G2"

//macro for different hosts
#define _PDM_SYS_                 //Siemens system
#define _DTM_OR_PDM_            
//#define _DTM_
//#define _PRM_                 	//Yokogawa system
//AMS limitation: load configuration, when change sensor type at transmitter, the menu will not be updated at AMS side 

#ifdef _DTM_OR_PDM_
	//#define __TOKVER__             800
    #define MT_DEVICE_TYPE         0x8e71
	MANUFACTURER 0x8e, DEVICE_TYPE 0x8e71, DEVICE_REVISION 1, DD_REVISION 1             
#else                                                                                    
	#if __TOKVER__ >= 800
    #define MT_DEVICE_TYPE      0x8E71
	MANUFACTURER METTLER_TOLEDO, DEVICE_TYPE _M400_2W_G2_EXP, DEVICE_REVISION 1, DD_REVISION 1 
	#else
    #define MT_DEVICE_TYPE      0x0071
	MANUFACTURER METTLER_TOLEDO, DEVICE_TYPE _M400_2W_G2, DEVICE_REVISION 1, DD_REVISION 1
	#endif
#endif


#include "DD_M4002wG2_MAIN.dd"
